## fonteditfs-1.2-8.src.tar.gz

=== Makefile ===
# Makefile for Fonteditfs.
# - TODO: MAKE NEATER ONE 
# This makefile should work under most POSIX OSes (at least FreeBSD)

BINDIR = /usr/local/bin
MANDIR = /usr/local/man


CFLAGS = -O2 -pipe -Wall

fnteditfs: fnteditfs.o font.o stack.o
	gcc -o fnteditfs fnteditfs.o font.o stack.o -lcurses
	strip fnteditfs

fnteditfs.o: fnteditfs.c font.h stack.h
font.o:	font.c font.h
stack.o: stack.c stack.h

install: fnteditfs fnteditfs.1
	cp fnteditfs $(BINDIR)
	gzip < fnteditfs.1 > $(MANDIR)/man1/fnteditfs.1.gz

clean:
	rm -f *.o fnteditfs

=== PKGBUILD ===
# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com>

pkgname=fonteditfs
pkgver=1.2
pkgrel=8
pkgdesc="console font editor"
arch=('x86_64')
url="http://fonteditfs.sourceforge.net/"
license=('GPL')
depends=('ncurses')
source=("https://downloads.sourceforge.net/sourceforge/fonteditfs/fnteditfs-$pkgver.tgz")
sha512sums=('8fae1b44ced8b07ebb8ef39149d0940f61f3e5dbefa84df2445b58d9e2d2c1432392aacc500076f9360d947c00277be66592910372bba33f913ceea2f6655012')

build() {
  cd "$srcdir"/fnteditfs-$pkgver
  make
}

package() {
  cd "$srcdir"/fnteditfs-$pkgver
  install -D -m0755 fnteditfs "$pkgdir"/usr/bin/fnteditfs
  install -D -m0644 fnteditfs.1 "$pkgdir"/usr/share/man/man1/fnteditfs.1
}
